<?php
/**
 * Theme controller class
 *
 * @package Teydea_Studio\Careers\Dependencies\Utils
 */

namespace Teydea_Studio\Careers\Dependencies\Utils;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // @codeCoverageIgnore
}

/**
 * The "Theme" class
 */
final class Theme extends Container {
	/**
	 * Container type
	 *
	 * @var string
	 */
	protected string $type = 'theme';

	/**
	 * Get the theme's basename
	 *
	 * @return string Theme's basename.
	 */
	public function get_basename(): string {
		return get_stylesheet();
	}

	/**
	 * Get the WordPress capability gating installation/switching of this theme
	 *
	 * @return string Capability slug.
	 */
	public function get_activate_capability(): string {
		return 'switch_themes';
	}

	/**
	 * Get the URL to the theme's directory
	 *
	 * @return string URL to the theme's directory.
	 */
	public function get_main_url(): string {
		return get_stylesheet_directory_uri();
	}
}
